import React, { Component } from 'react';
import BaseComponent from '../BaseComponent';
import Cardwrapper from '../cardwrapper/';
import Node from '../node/';
require('./index.scss');

export default class extends BaseComponent {
    constructor(props) {
		super(props);
        this.state = {
            activeIndex: 'none'
        }
	}

    onTitleClick(index, e) {
        this.setState({activeIndex: index});
    }

    render () {
      return (<div className='accordion-container'>
                 {
                    this.props.dataSource.map((data, index) => {
                        return (<div>
                                <Cardwrapper key={index}
                                             arrow={index === this.state.activeIndex ? 'down' : 'none'}
                                             >
                                    <div className={`title ${index === this.state.activeIndex ? 'active' : ''}`} onClick={this.onTitleClick.bind(this, index)}>
                                        <div className='name'>{data[this.props.parentFieldName]}</div>
                                        <div className='num'>{`(1000)`}</div>
                                    </div>
                                </Cardwrapper>
                                <Node dataSource={data[this.props.chirdrenFieldName]}
                                      fieldName={this.props.childFieldName}
                                      isExpand={index === this.state.activeIndex}
                                      />
                                </div>
                                );
                    })
                 }
              </div>);
    }
}
