import React, { Component } from 'react';
import BaseComponent from '../BaseComponent';
require('./ButtonItem.scss');

export default class extends BaseComponent {
    constructor(props) {
		super(props);
		this.onClickHandler = this.onClickHandler.bind(this);
	}

	onClickHandler(e) {
		if(this.iconDom.className.match('arrow')) {
			this.iconDom.className = this.iconDom.className.match('arrow down') ? 'icon arrow' : 'icon arrow down';
		}
	}

    render () {
      return (<div className='button-item' onClick={this.onClickHandler}>
      				<span className={`icon ${this.props.icon}`} ref={icon => {this.iconDom = icon;}}></span>
                    <span className='name'>{this.props.text}</span>
                    <span className='line'></span>
    		  </div>);
    }
}