import React, { Component } from 'react';
import BaseComponent from '../BaseComponent';
import Colortips from '../colortips';
require('./index.scss');

export default class extends BaseComponent {
    static defaultProps = {
        isDeleted: true
    }
    constructor(props) {
        super(props);
        this.handleEnter = this.handleEnter.bind(this);
        this.handleOut = this.handleOut.bind(this);
        this.state ={flag1:0,flag2:0,flag3:0,flag4:0,flag5:0};
        //flag1:smallspan标签tips  flag2:应聘职位下的查看tips flag3:备注的tips flag4:手工标签tips flag5:colorfulspan标签tips
        this.handlecallbacks = this.handlecallbacks.bind(this);
    }
    handlecallbacks(key){
        this.props.statechange?this.props.statechange(key):'';
    }
    handleEnter(e){
      if(this.props.dataSource.flas == 5){
        this.setState({flag1:0,flag2:0,flag3:0,flag4:0,flag5:1})
      }
      if(this.props.dataSource.flas == 4){
        this.setState({flag1:0,flag2:0,flag3:0,flag4:1,flag5:0})
      }
      if(this.props.dataSource.flas == 3){
        this.setState({flag1:0,flag2:0,flag3:1,flag4:0,flag5:0})
      }

      if(this.props.dataSource.flas&&this.props.dataSource.flas == 2){
        this.setState({flag1:0,flag2:1,flag3:0,flag4:0,flag5:0})
      }
      if(this.props.dataSource.flas&&this.props.dataSource.flas == 1){
        this.setState({flag1:1,flag2:0,flag3:0,flag4:0,flag5:0})
      }
    }
    handleOut(e){
        if(this.state.flag2 == 1){
          e.stopPropagation();
        }
        this.setState({flag1:0,flag2:0,flag3:0,flag4:0,flag5:0})
    }
    onClickStatiscs(ele, e) {
        this.handleOut(e);
        this.props.onClick && this.props.onClick(ele);
    }
    render () {
      if(this.state.flag1 == 0 && this.state.flag2 == 0 && this.state.flag3 == 0 && this.state.flag4 == 0 && this.state.flag5 == 0 || this.props.dataSource.tips.length === 0){
        return ''
      }else if(this.state.flag1 == 1){
        return (<div className='card-container'>
                  <span className='arrow'></span>
                  <div className='content'>
                    {
                        this.props.dataSource.tips.map((ele,index) => {
                            ele.value = ele.value ? ele.value : '-';
                            return (<div key={index} className='row'>
                                          <span className="filed">{ele.filed}</span><span className="value">{ele.value}</span>
                                    </div>);
                        })
                    }
                  </div>
              </div>);
      }
      else if(this.state.flag2 == 1) {
        return (
            <div>
              <div className='card-shadow' onClick={this.handleOut}></div>
              <div className='card-from'>
                    <span className='arrow2'></span>
                    <div className='content'>
                    {
                        this.props.dataSource.tips.map((ele,index) => {
                           return  (<div className='card-item' key={index} onClick={this.onClickStatiscs.bind(this,ele)}>
                                        <div className='content'>
                                            <span className={`icon ${this.props.activeIndex === index ? 'active' : ''}`}></span>
                                            <span className='txt'>{ele[this.props.fieldName]}</span>
                                        </div>
                                    </div>)
                        })
                    }
                    </div>
              </div>
            </div>)
      }
      else if(this.state.flag3 == 1){
        if(this.props.dataSource.tips!=false){
          return (
            <div className = 'card-slider' onMouseLeave ={this.handleOut}>
              <span className='card-block'></span>
              <span className ='arrow3'></span>
                <div className = 'card-over'>
                    {this.props.dataSource.tips.map((ele,index)=>{
                         return  (<div className ='card-item'>
                                      <p className ='card-item-flids'>
                                            {ele[this.props.fieldName]}
                                            {ele.isDeleted && this.props.isEdit ? <span className='card-item-declear'
                                                  onClick ={this.handlecallbacks.bind(this,ele)}
                                                  >删除</span> : null}
                                      </p>
                                      <p className ='card-item-value'>{ele[this.props.fieldValue]}</p>
                                  </div>)
                      })}
                </div>
            </div>);
        }else{ return ''}

      }
      else if(this.state.flag4 == 1){
        if(this.props.dataSource.tips!=false){
          return (
            <div className='card-colorfulspan'>
            <span className='card-color-block'></span>
                <span className='arrow4'></span>
                <div className='content'>
                {this.props.dataSource.tips.map((ele,index)=>{
                  return <div>
                            <p>
                                {ele[this.props.fieldName]}
                                {this.props.isDeleted && ele[this.props.canDeleteFieldName] ? <span onClick={this.handlecallbacks.bind(this,ele)}>X</span> : null}
                            </p>
                            <Colortips dataSource ={ele[this.props.fieldName]} />
                         </div>
                })}
                </div>
                <p></p>
            </div>);
        }
        else{
          return '';
        }
      }
      else if(this.state.flag5 == 1){
        return (
          <div className='card-hittipsspan'>
              <span className='arrow1'></span>
              {this.props.dataSource.tips.map((ele,index)=>{
                return <Colortips key={index} dataSource={ele} type='color' count={index<5?index:index%5}/>
              })}
          </div>);
      }
    }
}
