import React, { Component } from 'react';
import BaseComponent from '../BaseComponent';
require('./index.scss');

export default class extends BaseComponent {
    constructor(props) {
		super(props);
	}

    shouldComponentUpdate(nextProps, nextState) {
        if(this.props.arrow !== nextProps.arrow) {
            return true;
        }
        return false;
    }

    render () {
      return (<div className={`cardwrapper-container ${this.props.arrow === 'none' ? 'noshadow' : ''}`}>
                 <span className={`arrow ${this.props.arrow || 'none'}`}></span>
                 <div className='content'>
                     {
                        this.props.children
                     }
                 </div>
              </div>);
    }
}