import * as React from "react";
import * as ReactRouterDom from "react-router-dom";
import "./header.scss";

interface Props {
  name: string,
  title: number
}

const {Link} = ReactRouterDom;

export default class Header extends React.Component<Props, {}> {
  render() {
    return (
      <div id="header-region">
        <ul>
          <li className="tab"><Link to="/menu">menu</Link></li>
          <li className="tab"><Link to="/tab">tab</Link></li>
          <li className="tab"><Link to="/subutton">subutton</Link></li>
          <li className="tab"><Link to="/smallleftbox">smallleftbox</Link></li>
          <li className="tab"><Link to="/buttonBar">buttonBar</Link></li>
          <li className="tab"><Link to="/dropdown">dropdown</Link></li>
          <li className="tab"><Link to="/dropdownconnection">dropdownconnection</Link></li>
          <li className="tab"><Link to="/milestone">milestone</Link></li>
          <li className="tab"><Link to="/statistics">statistics</Link></li>
          <li className="tab"><Link to="/colorfulspan">colorfulspan</Link></li>
          <li className="tab"><Link to="/form">form</Link></li>
          <li className="tab"><Link to="/hiname">hiname</Link></li>
          <li className="tab"><Link to="/hitaps">hitaps</Link></li>
          <li className="tab"><Link to="/leftBox">leftBox</Link></li>
          <li className="tab"><Link to="/hurdle">hurdle</Link></li>
          <li className="tab"><Link to="/subentry">subentry</Link></li>
          <li className="tab"><Link to="/smallspan">smallspan</Link></li>
          <li className="tab"><Link to="/selectbutton">selectbutton</Link></li>
          <li className="tab"><Link to="/selectspan">selectspan</Link></li>
          <li className="tab"><Link to="/card">card</Link></li>
          <li className="tab"><Link to="/cardwrapper">cardwrapper</Link></li>
          <li className="tab"><Link to="/colortips">colortips</Link></li>
          <li className="tab"><Link to="/percentage">percentage</Link></li>
          <li className="tab"><Link to="/selectbuttontop">selectbuttontop</Link></li>
          <li className="tab"><Link to="/search">search</Link></li>
          <li className="tab"><Link to="/accordion">accordion</Link></li>
          <li className="tab"><Link to="/sudoku">sudoku</Link></li>
          <li className="tab"><Link to="/header">header</Link></li>
          <li className="tab"><Link to="/tabBar">tabBar</Link></li>
          <li className="tab"><Link to="/businesscard">businesscard</Link></li>
          <li className="tab"><Link to="/flipbuttons">flipbuttons</Link></li>
          <li className="tab"><Link to="/feedbackmodal">feedbackmodal</Link></li>
          <li className="tab"><Link to="/doodleboard">doodleboard</Link></li>
          <li className="tab"><Link to="/remarkpopup">remarkpopup</Link></li>
          <li className="tab"><Link to="/licensemodal">licensemodal</Link></li>
          <li className="tab"><Link to="/datetimeview">datetimeview</Link></li>
          <li className="tab"><Link to="/radiobuttons">radiobuttons</Link></li>
        </ul>
      </div>
    );
  }
}
