import BaseComponent from '../../BaseComponent';
import * as React from 'react';

/**
 * 点击事件的Toolbar，处理
 */
export default class BaseToolbarItem extends BaseComponent {
  static defaultProps = {
    mainContext: null  // 画板上下文实例
  };

  /**
   * 子类需要重写该方法
   * @param event
   */
  protected onClick(event: React.SyntheticEvent): void {
    event.stopPropagation();
  };
}
