import BaseComponent from '../../BaseComponent';

/**
 * 用户绘图的toolbar,住哟啊是对mouse事件进行处理
 */
export default abstract class BaseToolbarItem extends BaseComponent {
  /**
   * 绘图方法
   * @param canvas 绘图元素
   * @param startPoint 绘图起始点
   * @param event 鼠标事件
   */
  abstract draw(canvas: HTMLCanvasElement, startPoint: { x: number, y: number }, event: any): void;
}

