import * as React from 'react';
import BaseToolbarItem from '../baseToolbarItem';

export default class Brush extends BaseToolbarItem {

  draw(canvas: HTMLCanvasElement, startPoint: { x: number; y: number }, event: any): void {
    const canvasContext = canvas.getContext('2d');
    if (!!canvasContext) {
      canvasContext.lineTo(event.offsetX, event.offsetY);
      canvasContext.stroke()
    }
  }

  render() {
    return (
      <div className="doodle-board-toolbar-item-brush">
        <svg className="icon" aria-hidden="true">
          <use xlinkHref="#icon-qianbi"/>
        </svg>
      </div>
    );
  }
}

