import * as React from 'react';
import BaseToolbarClickItem from '../baseToolbarClickItem';
import './index.scss';

export default class Save extends BaseToolbarClickItem {

  constructor(props: any) {
    super(props);
    this.onClick = this.onClick.bind(this);
  }

  onClick(e: React.SyntheticEvent) {
    super.onClick(e);
    const {mainContext} = this.props;
    !!mainContext && mainContext.save();
  }

  render() {
    return (
      <div className="doodle-board-toolbar-item-save" onClick={this.onClick}>
        <svg className="icon" aria-hidden="true">
          <use xlinkHref="#icon-baocun"/>
        </svg>
      </div>
    );
  }
}

