import * as React from 'react';
import BaseToolbarClickItem from '../baseToolbarClickItem';

export default class Undo extends BaseToolbarClickItem {

  constructor(props: any) {
    super(props);
    this.onClick = this.onClick.bind(this);
  }

  onClick(e: React.SyntheticEvent) {
    super.onClick(e);
    const {mainContext} = this.props;
    !!mainContext && mainContext.undo();
  }

  render() {
    return (
      <div className="doodle-board-toolbar-item-undo" onClick={this.onClick}>
        <svg className="icon" aria-hidden="true">
          <use xlinkHref="#icon-chexiao"/>
        </svg>
      </div>
    );
  }


}

