import {registerUI} from './register';
import Brush from '../toolbar-item/brush';
import Eraser from '../toolbar-item/eraser';
import Undo from '../toolbar-item/undo';
import Rectangle from '../toolbar-item/rectangle';
import Redo from '../toolbar-item/redo';
import Save from '../toolbar-item/save';
import Cancel from '../toolbar-item/cancel';

registerUI('brush', Brush);
registerUI('eraser', Eraser);
registerUI('rectangle', Rectangle);
registerUI('undo', Undo, true);
registerUI('redo', Redo, true);
registerUI('save', Save, true);
registerUI('cancel', Cancel, true);
