import * as React from 'react';
import Loading from '@beisen/loading';
import './index.scss';

export default class ImportBasicInfoLoading extends React.PureComponent {

  static defaultProps = {
    onClick: () => {}
  }

  render() {
    return (
      <div className="import-basicinfo-loading">
        <div style={{
          position: 'absolute',
          zIndex: '999999',
          left: 0,
          width: '100%',
          height: 'calc(100% - 108px)',
          top: '55px',
          background: '#fff'
        }} />
        <Loading />
        <div className="import-basicinfo-loading-tips">
          <span>正在努力解析简历，请稍后...</span>
          <br />
          <br />
          <span>
            或点击<a onClick={this.props.onClick}>后台处理</a>，
            <br />
            解析完成后再确认新建。
          </span>
        </div>
      </div>
    );
  }
}