import React,{ Component } from 'react';
import BaseComponent from '../BaseComponent';
require('./LeftBox.scss');

export default class extends BaseComponent{
    constructor(props){
        super(props)
        this.state = {
          isExpand: 0
        }
    }

    onExpand = (isExpand) => {
      this.setState({isExpand: isExpand})
    }
 
    render(){
        return (
            <div className="leftbox-container">
              <div className='leftbox-item'>
                {React.cloneElement(this.props.children.SmallLeftBox, {onExpand: this.onExpand})}
              </div>
              {/* <div className='leftbox-item-space'></div> */}
              <div className='leftbox-item'>
                {this.props.children.Remarks ? React.cloneElement(this.props.children.Remarks, {isExpand: this.state.isExpand}) : null}
              </div>
            </div>
        );
    }
}
