import React, { Component } from 'react';
require ('./index.scss');

class Content extends Component {
  constructor(props) {
    super(props);
  }

  handleChange = (data) => {
    this.props.onChange(data);
  }

  render() {
    return (
      <div className="md_dialogdialog_content">
        <ul>
          {this.props.list.map((item, index) => {
            return (
              <li key={index}>
                <label className={item.isChecked ? 'ipt-box-checked' : 'ipt-box'}><input type="checkbox" onChange={this.handleChange.bind(this, item)} checked={item.isChecked}/></label>
                <span>{item.value}</span>
              </li>
            )
          })}
        </ul>
        <textarea placeholder={this.props.placeholder} onChange={this.props.onTextChange}/>
      </div>
    );
  }
}

export default Content;
