import React, { Component } from 'react';
import BaseComponent from '../BaseComponent';
import ReactDOM from 'react-dom';
import Modal from './modal'
require ('./index.scss');

export default class Popup extends BaseComponent {
    appendMaskIntoDoc() {
        ReactDOM.unstable_renderSubtreeIntoContainer(    // 在特定的DOM里渲染组件
            this,
            <Modal {...this.props}>
                {this.props.children}
            </Modal>,
            this.container
        );
    }

    componentDidMount() {
        this.container = document.createElement('div');
        document.body.appendChild(this.container);
        this.appendMaskIntoDoc();
    }

    componentDidUpdate() {
        this.appendMaskIntoDoc();
    }

    componentWillUnmount() {
        document.body.removeChild(this.container);
    }

    render() {
        return null;
    }
}
