import React,{ Component } from 'react';
import BaseComponent from '../BaseComponent';
require('./SelectButton.scss')

export default class extends BaseComponent{
    constructor(props){
        super(props);
        this.state = {
            dataSource: this.props.dataSource
        };
    }

    handlebutton(point){
        this.state.dataSource.forEach((data,index) => {
            data.constate = (index === point ? 1 : 0);
        })
        this.setState({dataSource: this.props.dataSource}, () => {
            this.props.stateChange ? this.props.stateChange(this.props.dataSource[point]):'';
        });
        alert(1);
    }

    render(){
        return (
            <div className = "selectbutton-container">
                {
                    this.props.dataSource.map((ele,index) => {
                        return (
                            <a onClick={this.handlebutton.bind(this,index)}
                               href={ele.dataurl}
                               tabIndex={index}
                               key={index}
                               className={`${ele.constate && 'active'} default`}
                               >
                               <p>{ele.text}</p><p>({ele.count || ''})</p>
                            </a>
                        );
                    })
                }
            </div>
        )
    }
}
