import React,{ Component } from 'react';
import BaseComponent from '../BaseComponent';
import Hitaps from '&/components/hitaps';
import Form from '&/components/form';
import SuButton from '&/components/subutton';
require('./SmallLeftBox.scss');

export default class extends BaseComponent{
    constructor(props) {
        super(props);
        this.handlesub = this.handlesub.bind(this);
        this.formErrorNotify = this.formErrorNotify.bind(this);

        this.btnDisable = false;
        this.state = {
            isEdit: false
        }
    }

    handleEdit() {
        this.refs.form.handleExEdit();
        this.refs.subutton.changestyle_prop();
        if(this.refs.edit.className !== 'editbutton on') {
            this.refs.edit.className = 'editbutton on';
        } 
        this.setState({
            isEdit: true
        }, () => {
            this.props.onExpand && this.props.onExpand(true)
        })
    }

    handlesub(con) {//提交事件
        if(con === 0) {//con 判断是否取消
            this.refs.form.handleExBack();
            if(this.btnDisable) {
                this.refs.subutton.changeDisable(false);
                this.btnDisable = false;
            }
            this.setState({
                isEdit: false
            }, () => {
                this.props.onExpand && this.props.onExpand(false)
            })
            this.refs.edit.className = 'editbutton';
        }else if(con === 1) {
            this.refs.form.handleSubmit();
        }
    }

    submitForm = (data) => {
        this.setState({
            isEdit: false
        })
        this.refs.edit.className = 'editbutton';
        this.props.submitForm(data);
    }
    
    /**
    * form表单错误消息回调
    */
    formErrorNotify(disable) {
        this.btnDisable !== disable && this.refs.subutton.changeDisable(disable);
        this.btnDisable = disable;
    }

    render(){
        return (
            <div className={this.state.isEdit ? 'smallleftbox-container': 'smallleftbox-container detail'}>
                <div className='header'>
                  <span className='title'>
                    <span className='line'></span>
                    <span className='txt'>基本信息</span>
                  </span>
                    {this.props.isEdit ? <span ref='edit' className='editbutton' onClick={this.handleEdit.bind(this)}>
                        <span className='icon'></span>
                        <span className='txt'>编辑</span>
                    </span> : <span ref='editspace' className='editbutton'></span>}
                </div>
                <Form ref="form" 
                      dataSource={this.props.dataSource.dataSource2}
                      formErrorNotify={this.formErrorNotify}
                      onExpand={this.props.onExpand}
                      submitForm={this.submitForm}
                      />
                <SuButton ref="subutton"
                          disable={this.btnDisable}
                          handlesub={this.handlesub}
                          dataSource={this.props.dataSource.dataSource3}
                          />
            </div>
        )
    }
}
