import React, { Component } from 'react';
import BaseComponent from '../BaseComponent';
import Card from '../card';
require('./StatisticsItem.scss');

export default class extends BaseComponent {
  	constructor(props) {
        super(props);
        this.handleClick = this.handleClick.bind(this);
        this.dataSource = this.props.list
    }

    componentWillReceiveProps(nextProps) {
        if(this.props.list !== nextProps.list) {
            this.dataSource = nextProps.list;
        }
    }

    handleClick(){
      this.props.detailHash ? window.location.hash = this.props.detailHash : this.refs.card.handleEnter()
    }
    render () {
      return (<div className='statisticsitem-container' onClick={this.handleClick}>
          			<div className='sub'>{`${this.props.sub}`}</div>
          			<div className='num'>{`${this.props.num}`}</div>
          			<div className='check'>
                    查看<span>&gt;</span>
                    <Card ref='card' fieldName={this.props.fieldName} dataSource={{flas: 2, tips: this.dataSource}} activeIndex={this.props.activeIndex} onClick={this.props.onSwitch}/>
                </div>
      	  </div>);
    }
}
