import React,{ Component } from 'react';
import BaseComponent from '../BaseComponent';
require('./SuButton.scss');

export default class extends BaseComponent{
    static defaultProps = {
        disable: false
    }

    constructor(props){
        super(props);
        this.changestyle = this.changestyle.bind(this);
        this.handlesub = this.handlesub.bind(this);
        this.changeDisable = this.changeDisable.bind(this);

        this.state = {
            disable: props.disable
        }
    }

    changeDisable(disable) {
        this.setState({disable: disable});
    }

    changestyle_prop(){
      this.subbuttonDom.className = "SuButton_bod";
    }

    changestyle(){
        this.subbuttonDom.className = this.subbuttonDom.className.match("hide")?"SuButton_bod":"SuButton_bod hide"
    }

    handlesub(e) {
        if(e.target.className.match('back')) {
            this.changestyle();
            this.props.handlesub(0);
        }else {
            if(this.state.disable) {
                return ;
            }
            this.changestyle();
            this.props.handlesub(1);
        }
    }

    render(){
        return(
            <div ref={subbutton => this.subbuttonDom = subbutton} className="SuButton_bod hide">
                {
                    this.props.dataSource.map((ele, index) => {
                        {
                            switch(ele.comp) {
                                case '0':
                                    return <div key={index} className='subutton back'
                                        onMouseDown={this.handlesub}
                                        >
                                        {ele.text}
                                    </div>
                                break;
                                case '1':
                                    return <div key={index} className={this.state.disable ? 'subutton submit disable' : 'subutton submit'}
                                        onClick={this.handlesub}
                                        >
                                        {ele.text}
                                    </div>
                            }
                        }
                        return <div className={ele.comp === '0' ? 'subutton back' : (this.state.disable ? 'subutton submit disable' : 'subutton submit')}
                                    onClick={this.handlesub}
                                    >
                                    {ele.text}
                               </div>
                    })
                }
            </div>
        )
    }
}
