import React, { Component } from 'react';
require('./TabItem.scss');

export default class extends Component {
	constructor(props) {
		super(props);
		this.itemClickHandler = this.itemClickHandler.bind(this);
	}

	itemClickHandler() {
		const itemActiveList = Array.prototype.slice.call(document.getElementsByClassName('tab-item active'), 0);
		itemActiveList.map(item => {
			item.className = 'tab-item';
		});
		this.tabItem.className = 'tab-item active';
		this.props.itemClickHandler && this.props.itemClickHandler(this.props.sub);
	}

	render () {
	  return (<div className='tab-item'
	  			   ref={item => {this.tabItem = item;}}
	    		   onClick={this.itemClickHandler}
	    		   >
			    	<span className='num'>{this.props.num}</span>
			    	<span className='sub'>{this.props.sub}</span>
			  </div>);
	}
}