import LeftBox from '&/components/leftBox/';
import React, {Component} from 'react';
import Hitaps from '&/components/hitaps/';
import Form from '&/components/form/';
import Statistics from '&/components/statistics/';
import Hurdle from '&/components/hurdle/';
import Smallspan from '&/components/smallspan/';
import SmallLeftBox from '&/components/smallleftbox/';
import SuButton from '&/components/subutton/';

export default class extends Component {
  constructor(props) {
    super(props);
    this.dataSource1 = {
      headmessage: {
        url: 'http://imgsrc.baidu.com/forum/w=580/sign=1588b7c5d739b6004dce0fbfd9503526/7bec54e736d12f2eb97e1a464dc2d56285356898.jpg',
        text: '杨小贝',
        rule: [{ reg: 'name', message: '请填写正确的姓名' }, { reg: 'empty', message: '姓名不能为空' }],
        spanmessage: [// smallspan
          {
            text: '猎', flas: 1, tips: [// flas代表tips类型
              { filed: '最初推荐时间：', value: 'date(2018-03-14 09:22)' },
              { filed: '最初推荐时间：', value: '埃摩森第一分公司' },
              { filed: '最初推荐时间：', value: '人事专员' },
              { filed: '最初推荐时间：', value: '' }
            ]
          },
          {
            text: '内', flas: 1, tips: [
              { filed: '推荐人姓名：', value: '李璐' },
              { filed: '推荐人邮箱：', value: '12344555@qq.com' },
              { filed: '推荐理由：', value: '匹配度高，有工作经验很好很好很好不错不错' }
            ]
          }
        ]
      },
      tapsmessage: [
        { text: '匹配度高啊度高啊度高啊度高啊度高啊度高啊度高啊度高啊' },
        { text: '高潜人才' },
        { text: '百强企业' },
        { text: '匹配度高啊度高啊度高啊度高啊度高啊度高啊度高啊度高啊' },
        { text: '高潜人才' },
        { text: '百强企业' },
        { text: '985/211' },
        { text: '高潜人才' },
        { text: '百强企业' },
        { text: '985/211', inco: 'ye' },
        { text: '高潜人才', inco: 'ye' },
        { text: '百强企业', inco: 'ye' },
        { text: '985/211', inco: 'ye' },
        { text: '高潜人才', inco: 'ye' },
        { text: '百强企业', inco: 'ye' },
        { text: '985/211', inco: 'ye' },
        { text: '高潜人才', inco: 'ye' },
        { text: '百强企业', inco: 'ye' },
        { text: '985/211', inco: 'ye' }
        // {text:'高潜人才',inco:'ye'},
        // {text:'百强企业',inco:'ye'},
      ]
    };
    this.dataSource2 = [
      {
        filed: 'ApplicantID',
        fieldName: 'id',
        text: 'resp.R_ApplicantGid',
        value: 'resp.R_ApplicantGid',
        visible: false,
        cmp_type: 'input'
      },
      { filed: 'name', fieldName: '姓名', text: '小木', value: '小木', name: '小木', visible: false, cmp_type: 'input' },
      {
        filed: 'personId',
        fieldName: 'personId',
        text: 'resp.personId',
        value: 'resp.personId',
        personId: 'resp.personId',
        visible: false,
        cmp_type: 'input'
      },
      {
        filed: 'mobile',
        fieldName: '手机',
        text: 123456789,
        value: 123456789,
        mobile: 'resp.Mobile',
        cmp_type: 'input',
        rule: [{ reg: 'phone', message: '请填写正确格式' }]
      },
      {
        filed: 'email',
        fieldName: '邮箱',
        text: 'xiaowang@153.com',
        value: 'xiaowang@153.com',
        email: 'xiaowang@153.com',
        cmp_type: 'input',
        rule: [{ reg: 'email', message: '请填写正确格式' }]
      },
      {
        filed: 'birthday',
        fieldName: '出生日期',
        text: '2015年09月18日',
        value: '2015/09/18',
        birthday: '',
        cmp_type: 'date'
      },
      {
        filed: 'gender',
        fieldName: '性别',
        text: '女',
        value: '女',
        cmp_type: 'dropdown',
        biz_data: [{ text: '男', value: 1, selected: false }, { text: '女', value: 0, selected: true }]
      },
      {
        filed: 'highestdegree',
        fieldName: '最高学历',
        text: '高中',
        value: '小学',
        cmp_type: 'dropdown',
        biz_data: [{ text: '小学', value: 0, selected: true }, { text: '初中', value: 1, selected: false }, {
          text: '本科',
          value: 2,
          selected: false
        }, { text: '硕士', value: 3, selected: false }, { text: '硕士研究生', value: 4, selected: false }, {
          text: '博士',
          value: 5,
          selected: false
        }, { text: '博士后', value: 6, selected: false }]
      },
      {
        filed: 'lastcompany',
        fieldName: '上家公司',
        text: '',
        value: '',
        lastcompany: '',
        cmp_type: 'input',
        disabled: true
      },
      {
        filed: 'job',
        fieldName: '最近职位',
        text: '',
        value: '',
        job: '',
        cmp_type: 'input',
        disabled: true,
        rule: [{ reg: 'empty', message: '必填' }]
      }
    ];
    this.dataSource3 = [
      {
        num: 123, sub: '应聘职位', flas: 2, tips: [
          '招聘事业部高级产品经理高级产品经理',
          'UE设计师',
          '高级前端设计师',
          'HR',
          '测试工程师'
        ]
      },
      { num: 20, flas: 5, sub: '人脉' }
    ];
    this.dataSource4 = {
      title: '备注', operation: '添加',
      tips: [
        { flids: 'HRD徐玄子：', value: '经验丰富，稳定性差经验丰富，稳定性差经验丰富，稳定性差' },
        { flids: 'HRD徐玄子：', value: '经验丰富，稳定性差经验丰富，稳定性差经验丰富，稳定性差' },
        { flids: 'HRD徐玄子：', value: '经验丰富，稳定性差经验丰富，稳定性差经验丰富，稳定性差' },
        { flids: 'HRD徐玄子：', value: '经验丰富，稳定性差经验丰富，稳定性差经验丰富，稳定性差' },
        { flids: 'HRD徐玄子：', value: '经验丰富，稳定性差经验丰富，稳定性差经验丰富，稳定性差' },
        { flids: 'HRD徐玄子：', value: '经验丰富，稳定性差经验丰富，稳定性差经验丰富，稳定性差' },
        { flids: 'HRD徐玄子：', value: '经验丰富，稳定性差经验丰富，稳定性差经验丰富，稳定性差' },
        { flids: 'HRD徐玄子：', value: '经验丰富，稳定性差经验丰富，稳定性差经验丰富，稳定性差' },
        { flids: 'HRD徐玄子：', value: '经验丰富，稳定性差经验丰富，稳定性差经验丰富，稳定性差' }
      ]
    };
    this.dataSource5 = [
      { text: '取消', comp: '0' },
      { text: '保存', comp: '1' }
    ];
    this.dataSource = {
      dataSource1: this.dataSource1,
      dataSource2: this.dataSource2,
      dataSource3: this.dataSource5
    };
    this.dataSource6 = {
      title: '手工标签', operation: '添加', tips: [{ text: '985/211' },
        { text: '高潜人才' },
        { text: '百强企业' },
        { text: '经验丰富稳定性差' },
        { text: '百强企业' },
        { text: '徐玄玄添加得个人标签' },
        { text: '经验丰富稳定性差' },
        { text: '高潜人才' },
        { text: '徐玄玄添加得个人标签' },
        { text: '985/211' },
        { text: '高潜人才' },
        { text: '百强企业' },
        { text: '985/211' }
      ]
    };
  }

  render() {
    var config = {
      SmallLeftBox: (<SmallLeftBox dataSource={this.dataSource} isEdit='edit'/>),
      Statistics: (<Statistics dataSource={this.dataSource3}/>),
      Remarks: (
        <Hurdle dataSource={this.dataSource4.tips} title='备注' operation='添加' fieldName='flids' fieldValue='value'/>),
      Lables: (<Hurdle dataSource={this.dataSource6.tips} title='手工标签' type='block' fieldName='text' operation='添加'/>)
    };
    return (
      <LeftBox children={config}>
      </LeftBox>
    );
  }
}
