import * as React from 'react';
import BaseToolbarClickItem from '../baseToolbarClickItem';

export default class Redo extends BaseToolbarClickItem {
  constructor(props: any) {
    super(props);
    this.onClick = this.onClick.bind(this);
  }

  onClick(e: React.SyntheticEvent) {
    super.onClick(e);
    const {mainContext} = this.props;
    !!mainContext && mainContext.redo();
  }
  render() {
    return (
      <div className="doodle-board-toolbar-item-redo" onClick={this.onClick}>
        <svg className="icon" aria-hidden="true">
          <use xlinkHref="#icon-zhongzuo"/>
        </svg>
      </div>
    );
  }
}

