const regx = {
	name: /[a-zA-Z\u4e00-\u9fa5]{0,60}/g,
	chPhone: /^1[3456789]\d{9}$/,
	othPhone: /^\+?(00){1,2}(9[976]\d|8[987530]\d|6[987]\d|5[90]\d|42\d|3[875]\d|2[98654321]\d|9[8543210]|8[421]|6[6543210]|5[87654321]|4[987654310]|3[9643210]|2[70]|7|1)\d{1,14}$|^09\d{8,20}$/,
	// phone: /^(?:[\(（]\+86[\)）])?1[0-9]{10}$|^(?![\(（]\+86[\)）])[\(（]\+[0-9]{1,4}[\)）](?:[0-9]+\-)*[0-9]+$/g,
	phone: /^1[3456789]\d{9}$/,
	email: /^[a-zA-Z0-9]+([a-zA-Z0-9\.\_\-])*@([a-zA-Z0-9]*[a-zA-Z0-9]+.){1,63}[a-z0-9]+$/
} 

export function verify(value = '', reg=[]) {
	let message = '';
	reg.some(r => {
		const re = r['reg'];
		if(re === 'empty') {
			message = !!(value+'') ? '' : r['message'];
		} else if(re === 'maxlength') {
			message = value.length > 50 ? r['message'] : ''
		} else {
			value == '' ? null : (message = !!value.match(regx[re]) ? '' : r['message']);
		}
		return !!message
	});
	return message;
}