import addDOMEventListener from 'add-dom-event-listener';
import ReactDOM from 'react-dom';

const webServer = window.location.protocol + '//' + window.location.host;

export function getWebUrl(url) {
  return webServer + '/' + url;
}

// export const addEventListener = function addEventListener (node, event, listener) {
//   return node.addEventListener ? node.addEventListener(event, listener, false) : node.attachEvent('on' + event, listener)
// }

// export const removeEventListener = function removeEventListener (node, event, listener) {
//   return node.removeEventListener ? node.removeEventListener(event, listener, false) : node.detachEvent('on' + event, listener)
// }

export function addEventListenerWrap(target, eventType, cb) {
  /* eslint camelcase: 2 */
  let callback = ReactDOM.unstable_batchedUpdates ? function run(e) {
    ReactDOM.unstable_batchedUpdates(cb, e);
  } : cb;
  return addDOMEventListener(target, eventType, callback);
}

export function contains(root, n) {
  let node = n;
  while (node) {
    if (node === root) {
      return true;
    }
    node = node.parentNode;
  }

  return false;
}
