import React, { Component } from 'react'
import MessageComponent from '@beisen-phoenix/message';


export default class Message extends Component {
  constructor (props) {
    super(props)
    this.state = {
      showMessage: true
    }
  }
  onClose = () => {
    this.setState({
      showMessage: false
    })
  }
  componentWillReceiveProps (nextProps) {
    this.setState({
      showMessage: true
    })
  }
  render () {
    return (
      <div>
        {
          this.state.showMessage &&
          <MessageComponent {...this.props} onClose={this.onClose} />
        }
      </div>
    )
  }
};
