import React, { Component } from 'react';
import BaseComponent from '../BaseComponent';
require('./index.scss');

export default class extends BaseComponent {
    constructor(props) {
		super(props);
	}

    onClickHandler(point, e) {
        this.props.dataSource.forEach((data, index) => {
            this.refs[`point${index}`].className = point === index ? 'point active' : 'point';
            this.refs[`txt${index}`].className = point === index ? 'txt active' : 'txt';
        });
    }

    render () {
      return (<div className={`node-container ${this.props.isExpand ? 'expand' : ''}`}>
                 {
                    this.props.dataSource.map((data, index) => {
                        return (<div className='content' key={index}>
                                    <div className='point' ref={`point${index}`} />
                                    <div className='line' />
                                    <div className='txt' ref={`txt${index}`} onClick={this.onClickHandler.bind(this,index)}>
                                        <span>{data[this.props.fieldName]}</span><span>123</span>
                                    </div>
                                </div>);
                    })
                 }
              </div>);
    }
}