import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import Title from '../title'
import Content from '../content'
import Button from '../button'
require ('./index.scss');

export default class Modal extends Component {
  constructor(props) {
    super(props)
  }

  render() {
    const {title, onCancel, onSubmit, width, height} = this.props
    return (
      <div>
        <div className="m_mask"></div>
        <div className="dialog_container" style={{width: width, height: height}}>
          <Title title={title} onCancel={onCancel}/>
          <Content {...this.props}/>
          <Button onCancel={onCancel} onSubmit={onSubmit}/>
        </div>
      </div>
    )
  }
}
