import React, { PureComponent } from 'react';
require ('./index.scss');

class Title extends PureComponent {
  constructor(props) {
    super(props);
  }

  render() {
    let { title, onCancel } = this.props;

    return (
      <div className="md_dialog_title">
        <span className="title">{title}</span>
        <a href="javascript:void(0);" className="close" onClick={ onCancel }>
          <b className="close_btn"></b>
        </a>
      </div>
    );
  }
}

export default Title;
