import React,{ Component } from 'react';
import BaseComponent from '../BaseComponent';
require('./index.scss');

export default class extends BaseComponent{
    constructor(props) {
        super(props);
        this.onClickHandler = this.onClickHandler.bind(this);
    }

    onClickHandler(e) {
        e.target.className = e.target.className.match('active') ? 'block' : 'block active';
    }

    render() {
        return(
            <div className='sudoku-container'>
                {
                    this.props.dataSource.map((data, index) => {
                        return (<div className='block' key={index} onClick={this.onClickHandler}>
                                    <div className='up'>{data[this.props.upFieldName]|| ''}</div>
                                    <div className='down'>{data[this.props.downFieldName || '']}</div>
                                </div>)
                    })
                }
            </div>
        )
    }
}
