import * as React from "react";

export default class IframeContent extends React.Component {
  constructor(props){
    super(props)
  }
  sdkRegister = () => {
    const self = this

     // 保存成功
     window.iTalentSDK.register({
      listenEvent: 'formpage_save_success',
      context: this,
      cb: function (data) {
       let dataMsg = {
         noticeInfo:{
          divCntClassName: 'top_right_tips',
          tipsShowCnt: '提交成功！请提醒候选人留意查收短信和邮件通知。',
          status: 'success'
         }
       }

        self.props.closeModal(dataMsg)
      }
    })

    // 保存失败
    window.iTalentSDK.register({
      listenEvent: 'formpage_save_failure',
      context: this,
      cb: function (data) {
       let dataMsg = {
         noticeInfo:{
          divCntClassName: 'top_error_tips',
          tipsShowCnt: JSON.parse(data.content).message,
          status: 'error'
         }
       }

       self.props.closeModal(dataMsg)
      }
    });

    // 取消
    window.iTalentSDK.register({
      listenEvent: 'form_hide_operation',
      context: this,
      cb: function (data) {
        self.props.closeModal()
      }
    })
  }
  componentDidMount(){
    this.sdkRegister()
  }

  render() {
    const {
      params: { width, height, url }
    } = this.props;

    return (
      <div className="iframe-container">
        <iframe src={url} width={width} height={height}/>
      </div>
    );
  }
}
