import 'whatwg-fetch';
import 'babel-polyfill';
import 'core-js/es6/map';
import 'core-js/es6/set';
import React from 'react';
import ReactDom from 'react-dom';
import ButtonBar from '&/components/buttonBar';
import Dropdown from '&/components/dropdown';
import Milestone from '&/components/milestone';
import LeftBox from '&/components/leftBox';
import Hitaps from '&/components/hitaps';
import Form from '&/components/form';
import Colorfulspan from '&/components/colorfulspan';
import HiName from '&/components/hiname';
import Statistics from '&/components/statistics';
import Hurdle from '&/components/hurdle';
import Smallspan from '&/components/smallspan';
import SelectButton from '&/components/selectbutton';
import SelectSpan from '&/components/selectspan';
import SmallLeftBox from '&/components/smallleftbox';
import SuButton from '&/components/subutton';
import Colortips from '&/components/colortips';
import SelectButtonTop from '&/components/selectbuttontop';
import Percentage from '&/components/percentage';
import Search from '&/components/search';
import Accordion from '&/components/accordion';
import AiCard from '&/components/aiCard';
import Popup from '&/components/popup';
import Header from '&/components/header';
import ApplyJob from '&/components/apply-job';
import SearchTransfer from '&/components/search-transfer';
import GoJob from '&/components/go-job';
import ThirdPartIframe from '&/components/third-part-iframe/index';
import Notice from '&/components/notice';
import GoStore from '&/components/go-store';
import TransferTo from '&/components/transfer-to';
import TransferStatus from '&/components/transfer-status';
import BtnGetReason from '&/components/btn-get-reason';
import DropPool from '&/components/dropPool';
import DoodleBoard from '&/components/doodle-board';
import FeedbackModal from '&/components/feedback-modal';
import LicenseModal from '&/components/license-modal';
import ImportBasicInfoLoading from '&/components/import-basicinfo-loading';
import ImportBasicInfoForm from '&/components/import-basicinfo-form';
import ImportRepeatResume from '&/components/import-repeat-resume';
import AntdModal from '&/components/antd-modal';
import SpecialHeader from '&/components/header/specialheader';
import BusinessCard from '&/components/businesscard';
import FlipButtons from '&/components/buttonBar/flipbuttons';
import RemarkPopup from '&/components/remarkpopup';
import Message from '&/components/message';
import DateTimeView from '&/components/date-time-view';
import RadioButtons from '&/components/radio-buttons';
import Popover from '&/components/popover';
import Menu from '&/components/menu';
import RelationRequirement from '&/components/relaterequirement';   // 关联招聘需求


const ReactComponents = {
  SelectButtonTop,
  Colortips,
  ButtonBar,
  Dropdown,
  Milestone,
  LeftBox,
  Hitaps,
  Form,
  Colorfulspan,
  HiName,
  Statistics,
  Hurdle,
  Smallspan,
  SelectButton,
  SelectSpan,
  SmallLeftBox,
  SuButton,
  Percentage,
  Search,
  Accordion,
  AiCard,
  Popup,
  Header,
  ApplyJob,
  SearchTransfer,
  GoJob,
  ThirdPartIframe,
  Notice,
  GoStore,
  TransferTo,
  TransferStatus,
  BtnGetReason,
  DropPool,
  ImportBasicInfoLoading,
  ImportBasicInfoForm,
  ImportRepeatResume,
  AntdModal,
  SpecialHeader,
  BusinessCard,
  RemarkPopup,
  Message,
  FlipButtons,
  DoodleBoard,
  FeedbackModal,
  LicenseModal,
  DateTimeView,
  RadioButtons,
  Popover,
  Menu,
  RelationRequirement
};
window['React'] = React;
window['ReactDom'] = ReactDom;
window['ReactComponents'] = ReactComponents;

// rebuild1
