import Dropdownconnection from '&/components/dropdownconnection/';
import React, {Component} from 'react';

export default class  extends Component {
	constructor(props){
		super(props);
		this.onItemClickHandler = this.onItemClickHandler.bind(this);

		this.dataSource0 = {id: 0, isShowSearch: false, fieldName: 'text', list: [
			{text: '生产流程', value: 0, selected: true},
			{text: '测试流程', value: 1}
		]};
		this.dataSource1 = {id: 1, isShowSearch: true, fieldName: 'text', list: [
			{text: '技术部职位', value: 0},
			{text: '运营部职位', value: 1}
		]};
		this.dataSource2 = {id: 2, isShowSearch: true, fieldName: 'text', list: [
			{text: '技术部-产品经理', value: 0},
			{text: '技术部-master', value: 1},
			{text: '技术部-dev', value: 2},
			{text: '技术部-test', value: 3}
		]};
		this.dataSource22 = {id: 22, isShowSearch: true, fieldName: 'text', list: [
			{text: '运营部-产品经理', value: 0},
			{text: '运营部-master', value: 1},
			{text: '运营部-dev', value: 2},
			{text: '运营部-test', value: 3}
		]};
		this.dataSource = [];
		this.dataSource.push(this.dataSource0);
		this.dataSource.push(this.dataSource1);
		this.dataSource.push(this.dataSource2);

		this.state = {
			dataSource: this.dataSource
		}
	}

	onItemClickHandler(index, item) {
		let dataSource = this.state.dataSource[index];
		dataSource.list.forEach((data) => {
			data.selected = (data.value !== item.value ? false : true);
		});
		if(index !== 0) {
			this.state.dataSource.length > index + 1 ? (this.state.dataSource[index + 1] = item['value'] === 1 ? this.dataSource22 : this.dataSource2) : null; 
		}
		this.setState({dataSource: this.state.dataSource})
	}

	render() {
		return <Dropdownconnection ref='dropdownconnection'
								   dataSource={this.state.dataSource}
								   onItemClickHandler={this.onItemClickHandler}
								   />
				
	}
}
