import React, { Component } from 'react';
import Hurdle from '&/components/hurdle/';

export default class extends Component {
	constructor(props) {
    super(props);
    this.dataSource = {
      title: '备注',
      fieldName: 'CreateByName',
      fieldValue: 'RemarkContent',
      canDeleteFieldName: 'isDeleted',
      operation: '添加',
      isEdit: true,
      reduceHeight: '100%'
    }
  }

  getUserListByDev = (searchValue, callback) => {
    setTimeout(() => {
      const userList = [
        {
          "Id":101893065,
          "Name":"袁园",
          "name":"@袁园（yuanyuan@beisen.com）",
          "Email":"yuanyuan@beisen.com",
          "UserAvatar":{"Original":null,"Small":null,"Medium":null,"Big":null,"HasAvatar":false,"Color":"#b9cc4f"}
        },
        {
          "Id":103875086,
          "Name":"郭美山",
          "name":"@郭美山（guomeishan@beisen.com）",
          "Email":"guomeishan@beisen.com",
          "UserAvatar":{"Original":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_o.png","Small":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_s.png","Medium":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_m.png","Big":null,"HasAvatar":true,"Color":null}
        },
        {
          "Id":103875087,
          "Name":"小二郭",
          "name":"@小二郭（guomeishan@beisen.com）",
          "Email":"xiaoerguo@beisen.com",
          "UserAvatar":{"Original":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_o.png","Small":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_s.png","Medium":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_m.png","Big":null,"HasAvatar":true,"Color":null}
        },
        {
          "Id":103875088,
          "Name":"海参为",
          "name":"@海参为（guomeishan@beisen.com）",
          "Email":"haishenwei@beisen.com",
          "UserAvatar":{"Original":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_o.png","Small":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_s.png","Medium":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_m.png","Big":null,"HasAvatar":true,"Color":null}
        },
        {
          "Id":103875089,
          "Name":"东郭先生",
          "name":"@郭美山（guomeishan@beisen.com）",
          "Email":"dongguo@beisen.com",
          "UserAvatar":{"Original":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_o.png","Small":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_s.png","Medium":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_m.png","Big":null,"HasAvatar":true,"Color":null}
        },
        {
          "Id":103875090,
          "Name":"王小二",
          "name":"@郭美山（guomeishan@beisen.com）",
          "Email":"wangxiaoer@beisen.com",
          "UserAvatar":{"Original":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_o.png","Small":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_s.png","Medium":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_m.png","Big":null,"HasAvatar":true,"Color":null}
        },
        {
          "Id":103875091,
          "Name":"null",
          "name":"wu（guomeishan@beisen.com）",
          "Email":"wuming@beisen.com",
          "UserAvatar":{"Original":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_o.png","Small":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_s.png","Medium":"http://cache.tita.com/Image/110006/324d5a07a3984689a6a5304d13902567_m.png","Big":null,"HasAvatar":true,"Color":null}
        }
      ]
      callback && callback(userList)
    }, 1000)
  }

  render () {
    return <Hurdle {...this.props}
            getUserList={this.getUserListByDev}
            dataSource={[]}        
            title={this.dataSource.title}
            operation={this.dataSource.operation}
            fieldName='flids'
            fieldValue ='value'
            type = 'block'
            />;
  }
}
