import React, { Component } from 'react';
import Milestone from '&/components/milestone/';

export default class extends Component {
	constructor(props) {
		super(props);
		this.dataSource = [
			{PhaseName: '简历初筛',
			 PhaseId: 0,
			 StatusLiteList: [
			 	{StatusName: '进行中', StatusId: 0},
			 	{StatusName: '电话联系', StatusId: 1},
			 	{StatusName: '考虑', StatusId: 2},
			 	{StatusName: '催促中', StatusId: 3},
			 	{StatusName: '淘汰', StatusId: 4}
			 ]
			},
			{PhaseName: '业务筛选',
			 PhaseId: 1,
			 StatusLiteList: [
			 	{StatusName: '进行中', StatusId: 0},
			 	{StatusName: '电话联系', StatusId: 1},
			 	{StatusName: '淘汰', StatusId: 2},
			 	{StatusName: '进行中', StatusId: 3},
			 	{StatusName: '电话联系', StatusId: 4},
			 	{StatusName: '淘汰', StatusId: 5},
			 	{StatusName: '进行中', StatusId: 6},
			 	{StatusName: '电话联系', StatusId: 7},
			 	{StatusName: '淘汰', StatusId: 8}

			 ]
			},
			{PhaseName: '初试',
			 PhaseId: 2,
			 StatusLiteList: [
			 	{StatusName: '进行中', StatusId: 0},
			 	{StatusName: '电话联系', StatusId: 1},
			 	{StatusName: '淘汰', StatusId: 2}
			 ]
			},
			{PhaseName: '复试',
			 PhaseId: 3,
			 StatusLiteList: [
			 	{StatusName: '进行中', StatusId: 0},
			 	{StatusName: '电话联系', StatusId: 1},
			 	{StatusName: '淘汰', StatusId: 2}
			 ]
			},
			{PhaseName: 'offer',
			 PhaseId: 4,
			 StatusLiteList: [
			 	{StatusName: '进行中', StatusId: 0},
			 	{StatusName: '电话联系', StatusId: 1},
			 	{StatusName: '淘汰', StatusId: 2}
			 ]
			},
			{PhaseName: '面对困难不能给予挑战，要好好吃一顿再做打算',
			 PhaseId: 5,
			 StatusLiteList: [
			 	
			 ]
			},
			{PhaseName: '活到老学到老，这是不对的',
			 PhaseId: 6,
			 StatusLiteList: [
			 	
			 ]
			},
			{PhaseName: '年轻人要低调',
			 PhaseId: 7,
			 StatusLiteList: [
			 	
			 ]
			},
			{PhaseName: '未来发展巨型面试不能忘的太多',
			 PhaseId: 8,
			 StatusLiteList: [
			 
			 ]
			},
			{PhaseName: '这算什么面试计划总计不合格',
			 PhaseId: 9,
			 StatusLiteList: [
			 	
			 ]
			},
			{PhaseName: '活到老学到老，这是不对的',
			 PhaseId: 10,
			 StatusLiteList: [
			 	
			 ]
			},
			{PhaseName: '年轻人要低调',
			 PhaseId: 11,
			 StatusLiteList: [
			 	
			 ]
			},
			{PhaseName: '未来发展巨型面试不能忘的太多',
			 PhaseId: 12,
			 StatusLiteList: [
			 
			 ]
			},
			{PhaseName: '这算什么面试计划总计不合格',
			 PhaseId: 13,
			 StatusLiteList: [
			 	
			 ]
			},
			{PhaseName: '活到老学到老，这是不对的',
			 PhaseId: 14,
			 StatusLiteList: [
			 	{StatusName: '小宝贝', StatusId: 0},
			 	{StatusName: '小鬼', StatusId: 1},
			 	{StatusName: '小兔崽子', StatusId: 2},
			 	{StatusName: '中年人', StatusId: 3}
			 ]
			},
			{PhaseName: '年轻人要低调',
			 PhaseId: 15,
			 StatusLiteList: [
			 	
			 ]
			},
			{PhaseName: '未来发展巨型面试不能忘的太多',
			 PhaseId: 16,
			 StatusLiteList: [
			 
			 ]
			},
			{PhaseName: '这算什么面试计划总计不合格',
			 PhaseId: 17,
			 StatusLiteList: [
			 	{StatusName: '结束', StatusId: 0}
			 ]
			}
		];
	}

    render () {
      return <Milestone {...this.props}
      					dataSource={this.dataSource}
      					stageField={'PhaseName'}
      					stateField={'StatusName'}
      					stateListField={'StatusLiteList'}
      					stageActiveField={'PhaseId'}
      					stateActiveField={'StatusId'}
      					stageActive={1}
      					stateActive={2}
      					/>;
  	}
}