
const genUpaasCmpProps = (pBuilderCmp) => {
  let props = {}

  let { editableData={} } = pBuilderCmp
  for (let eKey in editableData) {
    let eVal = editableData[eKey]
    props[eKey] = eVal
  }

  return props
}

export default (pBuilderCmp = {}) => {

  /* pageBuilder 生成的 key 充当 upaas元数据的 slot */
  let {
    'componentHolderKey': slot=''
  } = pBuilderCmp

  let props = genUpaasCmpProps(pBuilderCmp)
  
  /* 不定结构都需要转成字符串 */
  let {
    // events = JSON.stringify([]), /* 不定结构对象 */
    // datasource = JSON.stringify([]), /* 待定结构对象 */
    // engine = JSON.stringify({}), /* 不定结构对象 */
    // container = {}, /* upaas 组件元数据 */
    // skeleton = {}, /* upaas 组件元数据 */
  } = {}

  let {'id': name, 'name': type, children=[] } = pBuilderCmp

  let upaasCmpData = {
    name,
    type,
    'attributes': {
      props,
      // events,
      // skeleton,
      // datasource,
      slot
    },
    // engine,
    // container,
    children,
  }

  /* 
  * 后端需要Model不可接受结构不定的数据结构
  * props 是不定结构变量，需要转成字符串
  */
  // upaasCmpData.attributes.props = JSON.stringify(upaasCmpData.attributes.props)

  return upaasCmpData
}
